Rygel.Database.Cursor.Cursor – librygel-db Reference Manual

# Cursor

## Description:

public Cursor (Database db, string sql, Value[]? arguments) throws DatabaseError

Prepare a SQLite statement from a SQL string

If @arguments is non-null, it will call bind()

## Parameters:

db | SQLite database this cursor belongs to
sql | statement to execute
arguments | array of values to bind to the SQL statement or null if none